> For the complete documentation index, see [llms.txt](https://docs.wproofreader.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wproofreader.com/api-reference/user-custom-dictionary-api/actions/delete-dictionary-delete.md).

# Delete dictionary (delete)

Delete a dictionary.

### Parameters

These parameters work with any `cmd`.

| Name           | Type    | Required   | Description                                                                                                                                                                        |
| -------------- | ------- | ---------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `serviceid`    | string  | Cloud only | Cloud API key. Required for Cloud requests. Not used on-premises.                                                                                                                  |
| `format`       | string  | No         | Response format. Values: `json` (default), `xml`.                                                                                                                                  |
| `callback`     | string  | No         | JSONP wrapper function name. Use only with `format=json`.                                                                                                                          |
| `short_answer` | boolean | No         | <p>JSON only. When <code>true</code>, shortens JSON keys to reduce payload size.<br>See <a href="/pages/VXTsQ0sY5BFRLUsqxnbL#boolean-parameter-values">boolean parameters</a>.</p> |

See [Overview](/api-reference/overview.md#common-parameters) for details.

#### Command specific parameters

| Parameter | Type   | Required | Default           | Notes                      |
| --------- | ------ | -------- | ----------------- | -------------------------- |
| `cmd`     | string | Yes      | `user_dictionary` | Command name.              |
| `action`  | string | Yes      | `delete`          | Action name.               |
| `name`    | string | Yes      |                   | Dictionary name to delete. |

### Behavior

* Deletes the dictionary and its stored wordlist.

{% hint style="warning" %}
This is destructive.

You can’t undo `delete`.
{% endhint %}

### Response

Returns an empty `wordlist`.

See [Response format](/api-reference/user-custom-dictionary-api/response-format.md).

### Errors

Common errors:

* Dictionary name is missing, invalid, or longer than 50 characters.

See [Errors reference](/api-reference/user-custom-dictionary-api/errors-reference.md).

### Examples

<details>

<summary>Delete a dictionary</summary>

**Request body (JSON):**

```json
{
  "cmd": "user_dictionary",
  "action": "delete",
  "name": "my_dict"
}
```

**Response (JSON):**

```json
{
  "name": "my_dict",
  "action": "delete",
  "wordlist": [],
  "modificationTime": 0
}
```

</details>
